Bug 26036 - Android: Databound label FormattedText not updating when property changes
Summary: Android: Databound label FormattedText not updating when property changes
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.3.1
Hardware: Other Other
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-01-14 16:18 UTC by David Johnson
Modified: 2015-01-22 04:24 UTC (History)
5 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Project to reproduce the bug (176.67 KB, application/zip)
2015-01-14 16:18 UTC, David Johnson
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description David Johnson 2015-01-14 16:18:22 UTC
I have a label that has the FormattedText property data-bound to the viewmodel. The formatted text is not updating when the property changes in the viewmodel. The attached zip contains a project that demonstrates the problem. Tap the "Change label" button and the first label, who's Text property is bound to a string in the viewmodel, will be updated. However, the second label, who's FormattedText property is bound to a FormattedString property in the viewmodel is not.

This works fine on iOS, but not on Android.
Comment 1 David Johnson 2015-01-14 16:18:53 UTC
Created attachment 9355 [details]
Project to reproduce the bug
Comment 2 Udham Singh 2015-01-15 08:31:06 UTC
I have checked this issue with the help of sample app attached in comment 1 and observed the same behaviour mentioned in bug description. Please refer the screencast : http://www.screencast.com/t/n71cprYWk

Environment Info :

Xamarin.Forms : 1.3.1.6296

=== Xamarin Studio ===

Version 5.7.1 (build 5)
Installation UUID: ce927b2a-2c07-44c5-b186-09cfdafba6dc
Runtime:
	Mono 3.12.0 ((detached/1538a59)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 312000072

=== Apple Developer Tools ===

Xcode 6.1.1 (6611)
Build 6A2008a

=== Xamarin.iOS ===

Version: 8.6.0.52 (Enterprise Edition)
Hash: 7c4c2c5
Branch: 
Build date: 2015-01-08 22:29:16-0500

=== Xamarin.Android ===

Version: 4.20.0.28 (Enterprise Edition)
Android SDK: /Users/xamarin76/Desktop/android-sdk-macosx
	Supported Android versions:
		1.6    (API level 4)
		2.1    (API level 7)
		2.2    (API level 8)
		2.3    (API level 10)
		3.1    (API level 12)
		4.0    (API level 14)
		4.0.3  (API level 15)
		4.1    (API level 16)
		4.2    (API level 17)
		4.3    (API level 18)
		4.4    (API level 19)
		4.4.87 (API level 20)
		5.0    (API level 21)
Java SDK: /usr
java version "1.7.0_65"
Java(TM) SE Runtime Environment (build 1.7.0_65-b17)
Java HotSpot(TM) 64-Bit Server VM (build 24.65-b04, mixed mode)

=== Xamarin.Mac ===

Version: 1.11.3.0 (Enterprise Edition)

=== Build Information ===

Release ID: 507010005
Git revision: ef2b158f8e0495f6b696d97f1dc0b8208577a5a8
Build date: 2015-01-15 03:32:55-05
Xamarin addins: 12ef44f5cd3bba34b1982969f0d6a8d881ed00c9

=== Operating System ===

Mac OS X 10.9.5
Darwin Xamarin76s-Mac-mini.local 13.4.0 Darwin Kernel Version 13.4.0
    Sun Aug 17 19:50:11 PDT 2014
    root:xnu-2422.115.4~1/RELEASE_X86_64 x86_64
Comment 3 Jason Smith [MSFT] 2015-01-17 18:24:34 UTC
Should be fixed in 1.3.2-pre1
Comment 4 Ram Chandra 2015-01-22 04:24:19 UTC
I have checked this issue with following builds.

1.3.2.6299-pre1
Mac OS X 10.10.0
Xamarin Studio: 5.7.1 (build 14)
Xamarin.Android: 5.0.0.17 
Build Information
Release ID: 507010014
Git revision: a4dd61ad7f8b3695be4b17bcb5c3ae6b81438cf7
Build date: 2015-01-19 15:21:09-05
Xamarin addins: 081208fe3bbf40e24a562867c6c7fba20a9b94b6

I have checked this issue with attached sample and now it is working fine when we press the button I observed that both the labels are updated.

Screencast: http://www.screencast.com/t/7dMRP5Zj23ZL

This issue has been fixed. Hence I am closing this issue.